Get a list of Message Channels
curl --request GET \
--url https://api.assembly.com/v1/message-channels \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/message-channels"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/message-channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"<unknown>"
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Message Channels
Get a list of Message Channels
Returns a paginated list of message channels the requester is a member of, optionally filtered by membership and enriched with unread state.
GET
/
v1
/
message-channels
Get a list of Message Channels
Authorizations
Query Parameters
Filter by client id. Alias for membershipEntityId.
Filter by the entity (company or client) the channel is scoped to.
Filter to channels scoped to this company. Combine with clientId to fetch the individual channel for a specific client/company pair.
Filter to channels containing this member id, and use it as the viewer for includeUnread enrichment.
Filter by channel membership type.
Available options:
company, individual, group Enrich each channel with unreadCount and lastRead for the viewer.
Maximum number of records to return. Capped at 100.
Pagination cursor returned by a previous request.